Bug 1773808 - Enable multi-arch support in downloads-openshift-console [4.2]
Summary: Enable multi-arch support in downloads-openshift-console [4.2]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Multi-Arch
Version: 4.2.z
Hardware: s390x
OS: Linux
high
high
Target Milestone: ---
: 4.2.z
Assignee: Yaakov Selkowitz
QA Contact: Prashanth Sundararaman
URL:
Whiteboard:
Depends On: 1781330
Blocks: OCP/Z_4.2
TreeView+ depends on / blocked
 
Reported: 2019-11-19 00:42 UTC by Yaakov Selkowitz
Modified: 2020-06-26 20:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1781330 (view as bug list)
Environment:
Last Closed: 2019-12-16 16:02:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console-operator pull 352 'None' closed Bug 1773808: Enable multi-arch support in downloads [4.2] 2020-06-26 20:56:46 UTC

Description Yaakov Selkowitz 2019-11-19 00:42:35 UTC
In order for console-operator deployment to succeed, cli-artifacts needs to be available on all arches (which it now is) for downloads-openshift-console. However, in that case, /usr/bin/oc (inherited from cli) is a native binary, and we want to provide all primary Linux architectures to match those on mirror.openshift.com, regardless of cluster architecture.

This depends on bug 1773807 to provide the new binaries in cli-artifacts.

This needs to go into 4.2.z because this affects cluster deployment on Z.

The fix for 4.2 will be a cherry-pick of the first of the two commits from https://github.com/openshift/console-operator/pull/343 (the second commit is relevant only to new code in 4.3).

Comment 4 Jeremy Poulin 2019-12-12 15:45:21 UTC
Hi Prashanth - David was going to verify this, but since he's out today, could you verify that openshift client tools are available?
As per Yaakov's comment in https://bugzilla.redhat.com/show_bug.cgi?id=1773807#c4, that should be enough to confirm that we can move this to verified.

Comment 5 Yaakov Selkowitz 2019-12-12 16:11:33 UTC
IOW to test, on a Z cluster with this fix applied (4.2.11?):

0) Add downloads-openshift-console.apps... to /etc/hosts alongside the other names of the cluster.

1) Download downloads-openshift-console.apps.../amd64/linux/oc.tar (or oc.zip), decompress, and check that it is an AMD64 binary (e.g. with file(1)).

2) Check that downloads-openshift-console.apps.../s390x/linux/oc.tar (or oc.zip) is downloadable, and check that is a S390X binary.

Comment 6 Prashanth Sundararaman 2019-12-12 18:14:50 UTC
Verified. Fix works with https://openshift-release-s390x.svc.ci.openshift.org/releasestream/4-stable-s390x/release/4.2.11-s390x


Note You need to log in before you can comment on or make changes to this bug.